Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418666 - [abrt] mariadb-server: mach_write_to_2(): mysqld killed by SIGSEGV
Summary: [abrt] mariadb-server: mach_write_to_2(): mysqld killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:204f961d84123c67d8800ab8486...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 13:10 UTC by mathieu.lacage
Modified: 2018-02-08 03:30 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-08 03:30:43 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.28 KB, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: core_backtrace (6.48 KB, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: dso_list (3.04 KB, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: environ (194 bytes, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: maps (20.61 KB, text/plain)
2017-02-02 13:10 UTC, mathieu.lacage
no flags Details
File: mountinfo (4.32 KB, text/plain)
2017-02-02 13:11 UTC, mathieu.lacage
no flags Details
File: namespaces (98 bytes, text/plain)
2017-02-02 13:11 UTC, mathieu.lacage
no flags Details
File: open_fds (3.37 KB, text/plain)
2017-02-02 13:11 UTC, mathieu.lacage
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-02-02 13:11 UTC, mathieu.lacage
no flags Details
File: var_log_messages (243 bytes, text/plain)
2017-02-02 13:11 UTC, mathieu.lacage
no flags Details

Description mathieu.lacage 2017-02-02 13:10:35 UTC
Description of problem:
Everytime I import a specific .sql backup, the server crashes after 3+ hours of work. 

Sadly, I can't share the dataset backup dump publicly.

Version-Release number of selected component:
mariadb-server-10.1.20-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/mysqld --basedir=/usr
crash_function: mach_write_to_2
executable:     /usr/libexec/mysqld
global_pid:     6640
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            27

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mach_write_to_2 at /usr/src/debug/mariadb-10.1.20/storage/xtradb/include/mach0data.ic:73
 #1 page_cur_insert_rec_write_log at /usr/src/debug/mariadb-10.1.20/storage/xtradb/page/page0cur.cc:680
 #2 page_cur_insert_rec_low at /usr/src/debug/mariadb-10.1.20/storage/xtradb/page/page0cur.cc:1176
 #3 page_cur_tuple_insert at /usr/src/debug/mariadb-10.1.20/storage/xtradb/include/page0cur.ic:290
 #4 btr_cur_optimistic_insert at /usr/src/debug/mariadb-10.1.20/storage/xtradb/btr/btr0cur.cc:1574
 #5 row_ins_clust_index_entry_low at /usr/src/debug/mariadb-10.1.20/storage/xtradb/row/row0ins.cc:2555
 #6 row_ins_clust_index_entry at /usr/src/debug/mariadb-10.1.20/storage/xtradb/row/row0ins.cc:3000
 #7 row_ins_index_entry at /usr/src/debug/mariadb-10.1.20/storage/xtradb/row/row0ins.cc:3099
 #8 row_ins_index_entry_step at /usr/src/debug/mariadb-10.1.20/storage/xtradb/row/row0ins.cc:3176
 #9 row_ins at /usr/src/debug/mariadb-10.1.20/storage/xtradb/row/row0ins.cc:3316

Comment 1 mathieu.lacage 2017-02-02 13:10:45 UTC
Created attachment 1247112 [details]
File: backtrace

Comment 2 mathieu.lacage 2017-02-02 13:10:47 UTC
Created attachment 1247113 [details]
File: cgroup

Comment 3 mathieu.lacage 2017-02-02 13:10:49 UTC
Created attachment 1247114 [details]
File: core_backtrace

Comment 4 mathieu.lacage 2017-02-02 13:10:52 UTC
Created attachment 1247115 [details]
File: dso_list

Comment 5 mathieu.lacage 2017-02-02 13:10:54 UTC
Created attachment 1247116 [details]
File: environ

Comment 6 mathieu.lacage 2017-02-02 13:10:56 UTC
Created attachment 1247117 [details]
File: limits

Comment 7 mathieu.lacage 2017-02-02 13:10:59 UTC
Created attachment 1247118 [details]
File: maps

Comment 8 mathieu.lacage 2017-02-02 13:11:01 UTC
Created attachment 1247119 [details]
File: mountinfo

Comment 9 mathieu.lacage 2017-02-02 13:11:03 UTC
Created attachment 1247120 [details]
File: namespaces

Comment 10 mathieu.lacage 2017-02-02 13:11:05 UTC
Created attachment 1247121 [details]
File: open_fds

Comment 11 mathieu.lacage 2017-02-02 13:11:07 UTC
Created attachment 1247122 [details]
File: proc_pid_status

Comment 12 mathieu.lacage 2017-02-02 13:11:09 UTC
Created attachment 1247123 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 14:58:32 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.